Commit Diff


commit - fd060ab5f0d52b3b95453ee6d3ab14e7135891f6
commit + 9a77229d5509c9c4615422cbf3e597bfcd650f5c
blob - a13803b8115539ad9b9c5b6b695e4abd0aec2067
blob + 1872d1700945ca0c69975a50f9b571f04c6c2646
--- test.sh
+++ test.sh
@@ -7,8 +7,10 @@ o=$(mktemp)
 for rom in "$@"
 do
 	base=$(basename $rom .rom)
+	i=$base.in
+	[ -f $i ] || i=/dev/null
 
-	if ! hackem -s0 -t $t $rom >$o
+	if ! hackem -s0 -t $t $rom >$o <$i
 	then
 		echo "ERROR: $rom (exit $?)" >/dev/stderr
 		result=$((result | 8))